<?php
namespace FM\Factory;

use Doctrine\ORM\EntityManager;

class LoginFactory
{
    
    protected $connection;
    
    public function __construct(EntityManager $entityManager) {
        
        $this->connection = $entityManager->getConnection();
    }

    public function validaLogin($param) {
        $sql = "SELECT NRFUNCIONARIO 
                    FROM FCM_FUNCIONARIO 
                 WHERE DSEMAILFUNCIONARIO = :DSEMAILFUNCIONARIO
                    AND DSSENHAFUNC = :DSSENHAFUNC";
      $std = $this->connection->prepare($sql);
      $std->execute($param);
      return $std->fetchAll();
  }
}